Subject: Re: Working copy revision and push pain

From: Jonathan Watt <[email-masked]>
Date: Sun, 23 Mar 2008 14:19:15 +0100

Johannes Schindelin wrote:
> Hi,
> 
> On Sun, 23 Mar 2008, Jonathan Watt wrote:
> 
>> There seems to be a problem with git-push when the working copy of the 
>> directory being pushed to came from the magic revision HEAD, but not 
>> when the working copy came from some other revision.
> 
> http://git.or.cz/gitwiki/GitFaq#head-b96f48bc9c925074be9f95c0fce69bcece5f6e73
> 
> Sidenote: I am constantly amazed how people have no problem accepting that 
> a CVS-Server has no working directory, but all of a sudden think that a 
> Git-server should have one, and auto-update it.

Hi Dscho. I think you've misread my email. (Or not read it. ;-)) I do not expect
git-push to update the working copy of the repository being pushed to. In fact
my complaint would be more that it *does* appear to modify the working copy
(well, not so much modify the working copy as get confused about which revision
the working copy came from) when the working copy came from HEAD.

Jonathan